import { useAuth } from "@/utils/AuthProvider";
import { Redirect, Slot, useSegments } from "expo-router";
import React from "react";
import { StyleSheet } from "react-native";

const Layout = () => {
  const { isAuthenticated } = useAuth();
  const segments = useSegments();
  const isAuthGroup = segments[1] === "(authenticated)";

  if (!isAuthenticated && isAuthGroup) {
    return <Redirect href="/" />;
  }

  return <Slot />;
};

export default Layout;

const styles = StyleSheet.create({});
